Skip to main content
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
policies
/
configuration
Get Policies Configuration
curl --request GET \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/policies/configuration \
  --header 'Authorization: <api-key>'
{
  "policy": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "type": "object",
    "properties": {
      "effectiveDate": {
        "type": "string",
        "title": "effectiveDate"
      },
      "premium": {
        "type": "number",
        "title": "premium"
      },
      "status": {
        "type": "string",
        "title": "status",
        "enum": [
          "Active",
          "Cancelled",
          "Expired"
        ]
      }
    },
    "required": [
      "effectiveDate"
    ]
  },
  "exposure": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "type": "object",
    "properties": {
      "employeeCount": {
        "type": "number",
        "title": "employeeCount"
      },
      "isActive": {
        "type": "boolean",
        "title": "isActive"
      }
    },
    "required": []
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Response

Configuration for FMV1 policy custom fields

Configuration response for Field Model V1 policies. Returns separate JSON Schemas for policy-level and exposure-level custom fields.

policy
object
required

JSON Schema for policy-level custom fields. These fields apply to segments[].policy and segments[].coverages[] objects.

exposure
object
required

JSON Schema for exposure-level custom fields. These fields apply to segments[].exposures[] objects.